net.dontdrinkandroot.visualization.layout.graph.edgerouting

## Class CenterEdgeRouter2<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.graph.edgerouting.CenterEdgeRouter2<V,E>

All Implemented Interfaces:
  EdgeRouter<V,E>

    public class CenterEdgeRouter2<V,E>
    extends Object
    implements EdgeRouter<V,E>

### Constructor Summary

Constructors
Constructor and Description
`CenterEdgeRouter2()`

### Method Summary

Methods
`EdgeFactory<E>` `getEdgeFactory()`
`Map<E,VisualItem>` `getEdgeMap(Map<V,VisualItem> vertexMap, edu.uci.ics.jung.graph.Graph<V,E> g)`
`void` `setEdgeFactory(EdgeFactory<E> edgeFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CenterEdgeRouter2

    public CenterEdgeRouter2()

### Method Detail

#### getEdgeMap

    public Map<E,VisualItem> getEdgeMap(Map<V,VisualItem> vertexMap,
                               edu.uci.ics.jung.graph.Graph<V,E> g)

Specified by:
  `getEdgeMap` in interface `EdgeRouter<V,E>`

#### getEdgeFactory

    public EdgeFactory<E> getEdgeFactory()

Specified by:
  `getEdgeFactory` in interface `EdgeRouter<V,E>`

#### setEdgeFactory

    public void setEdgeFactory(EdgeFactory<E> edgeFactory)

Specified by:
  `setEdgeFactory` in interface `EdgeRouter<V,E>`